## lua-sec 0.3.2

=== Makefile ===
# Inform the location to intall the modules
LUAPATH=/usr/local/share/lua/5.1
CPATH=/usr/local/lib/lua/5.1

# Edit the lines below to inform new path, if necessary
#
#INCDIR=-I/usr/local/lua-5.1/include -I/usr/local/openssl-0.9.8/include
#LIBDIR=-L/usr/local/openssl-0.9.8/lib -R/usr/local/openssl-0.9.8/lib

# For Mac OS X: set the system version
MACOSX_VERSION=10.4

DEFS=-DBUFFER_DEBUG

#----------------------
# Do not edit this part

.PHONY: all clean install none linux bsd macosx

all: none

none:
	@echo "Usage: $(MAKE) <platform>"
	@echo "  * linux"
	@echo "  * bsd"
	@echo "  * macosx"

install:
	@cd src ; $(MAKE) CPATH="$(CPATH)" LUAPATH="$(LUAPATH)" install

linux:
	@echo "---------------------"
	@echo "** Build for Linux **"
	@echo "---------------------"
	@cd src ; $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)" $@

bsd:
	@echo "-------------------"
	@echo "** Build for BSD **"
	@echo "-------------------"
	@cd src ; $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)" $@

macosx:
	@echo "------------------------------"
	@echo "** Build for Mac OS X $(MACOSX_VERSION) **"
	@echo "------------------------------"
	@cd src ; $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)" MACVER="$(MACOSX_VERSION)" $@

clean:
	@cd src ; $(MAKE) clean

=== src/Makefile ===
CMOD=ssl.so
LMOD=ssl.lua

OBJS= \
 timeout.o \
 buffer.o \
 io.o \
 usocket.o \
 context.o \
 ssl.o

LIBS=-lssl -lcrypto

WARN=-Wall -pedantic

BSD_CFLAGS=-O2 -fpic $(WARN) $(INCDIR) $(DEFS)
BSD_LDFLAGS=-O -shared -fpic $(LIBDIR)

LNX_CFLAGS=-O2 -fpic $(WARN) $(INCDIR) $(DEFS)
LNX_LDFLAGS=-O -shared -fpic $(LIBDIR)

MAC_ENV=env MACOSX_DEPLOYMENT_TARGET='$(MACVER)'
MAC_CFLAGS=-O2 -fno-common $(WARN) $(INCDIR) $(DEFS)
MAC_LDFLAGS=-bundle -undefined dynamic_lookup $(LIBDIR)

CP=cp
CC=gcc
LD=$(MYENV) gcc
CFLAGS=$(MYCFLAGS)
LDFLAGS=$(MYLDFLAGS)

.PHONY: all clean install none linux bsd macosx

all:

install: $(CMOD) $(LMOD)
	$(CP) $(CMOD) $(CPATH)
	$(CP) $(LMOD) $(LUAPATH)

linux:
	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)"

bsd:
	@$(MAKE) $(CMOD) MYCFLAGS="$(BSD_CFLAGS)" MYLDFLAGS="$(BSD_LDFLAGS)"

macosx:
	@$(MAKE) $(CMOD) MYCFLAGS="$(MAC_CFLAGS)" MYLDFLAGS="$(MAC_LDFLAGS)" MYENV="$(MAC_ENV)"


$(CMOD): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) $(CMOD)

buffer.o: buffer.c buffer.h io.h timeout.h
io.o: io.c io.h timeout.h
timeout.o: timeout.c timeout.h
usocket.o: usocket.c socket.h io.h timeout.h usocket.h
context.o: context.c context.h
ssl.o: ssl.c socket.h io.h timeout.h usocket.h buffer.h context.h context.c

## lua-sec 0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Inform the location to intall the modules
 LUAPATH=/usr/local/share/lua/5.1
-CPATH=/usr/local/lib/lua/5.1
+LUACPATH=/usr/local/lib/lua/5.1
 
 # Edit the lines below to inform new path, if necessary
 #
@@ -26,7 +26,7 @@
 	@echo "  * macosx"
 
 install:
-	@cd src ; $(MAKE) CPATH="$(CPATH)" LUAPATH="$(LUAPATH)" install
+	@cd src ; $(MAKE) LUACPATH="$(LUACPATH)" LUAPATH="$(LUAPATH)" install
 
 linux:
 	@echo "---------------------"

=== src/Makefile ===
--- 
+++ 
@@ -23,7 +23,6 @@
 MAC_CFLAGS=-O2 -fno-common $(WARN) $(INCDIR) $(DEFS)
 MAC_LDFLAGS=-bundle -undefined dynamic_lookup $(LIBDIR)
 
-CP=cp
 CC=gcc
 LD=$(MYENV) gcc
 CFLAGS=$(MYCFLAGS)
@@ -34,8 +33,10 @@
 all:
 
 install: $(CMOD) $(LMOD)
-	$(CP) $(CMOD) $(CPATH)
-	$(CP) $(LMOD) $(LUAPATH)
+	mkdir -p $(LUAPATH)/ssl
+	cp $(CMOD) $(LUACPATH)
+	cp $(LMOD) $(LUAPATH)
+	cp https.lua $(LUAPATH)/ssl
 
 linux:
 	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)"

=== debian/changelog ===
lua-sec (0.4-5) unstable; urgency=low

  * source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 18:08:53 +0200

lua-sec (0.4-4) unstable; urgency=low

  * bumped standards-version to 3.9.2, no changes
  * multi-arch compliant (dh >= 8.1.3, lua5.1-policy >= 32)
  * mention in debian/copyright the copyright holders for https.lua, thanks
    Barry deFreese for spotting that 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 00:50:48 +0200

lua-sec (0.4-3) unstable; urgency=low

  * build depend on liblua5.1-policy-dev >= 26 to specify linker flags
    for statical linkage (Closes: #555567)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Nov 2009 22:18:42 +0100

lua-sec (0.4-2) unstable; urgency=low

  * added Replace and Conflict entries in control

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 01 Nov 2009 11:06:54 +0100

lua-sec (0.4-1) unstable; urgency=low

  * new upstream release: main addition is the https.lua module
  * added README.source mentioning dpatch default doc
  * bumped standards-version to 3.8.3 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 01 Nov 2009 10:52:38 +0100

lua-sec (0.3.3-1) unstable; urgency=low

  * new upstream minor fix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 25 Jul 2009 21:58:51 +0200

lua-sec (0.3.2-2) unstable; urgency=low

  * build depend on lua5.1-policy-dev >= 22
  * standards-version bumped to 3.8.2, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 15:26:49 +0200

lua-sec (0.3.2-1) unstable; urgency=low

  * New ustream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 May 2009 19:05:00 +0200

lua-sec (0.3.1-1) unstable; urgency=low

  * new upstream bugfix release
  * fixed watch file
  * test sreipt improved, always terminates after 3 seconds
  * updated copyright (holds for 2009 too)
  * bumped standards-version to 3.8.1, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 05 Apr 2009 11:38:04 +0200

lua-sec (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #511733)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 Jan 2009 19:50:32 +0100

=== debian/control ===
Source: lua-sec
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), liblua5.1-socket2, quilt (>= 0.40), openssl, libssl-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-sec
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-sec
Homepage: http://www.inf.puc-rio.br/~brunoos/luasec/

Package: liblua5.1-sec1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-socket2
Conflicts: liblua5.1-sec0
Replaces: liblua5.1-sec0
Description: SSL socket library for the Lua language version 5.1
 This package contains the luasec library, that adds on top of 
 the luasocket library SSL support.

Package: liblua5.1-sec-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-sec1 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: SSL socket library library devel files for the Lua language version 5.1
 This package contains the development files of the Lua sec SSL socket library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).  Documentation is also shipped within this
 package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sec
#
version=3
http://luaforge.net/frs/?group_id=430  /frs/download.php/\d+/luasec-([\d\.]*).tar.gz

## lua-sec 0.4.1

=== debian/changelog ===
lua-sec (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Update watch file

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 11 May 2012 16:23:17 +0200

lua-sec (0.4-8) unstable; urgency=low

  * Clean up samples directory (Closes: #670007)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 18:54:04 +0200

lua-sec (0.4-7) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * debian/compat set to 8
  * Bumped standards-version to 3.9.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 17:25:36 +0200

lua-sec (0.4-6) unstable; urgency=low

  * Install https.lua inside the ssl/ directory

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 18 Feb 2012 10:56:44 +0100

=== debian/control ===
Source: lua-sec
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, lua-socket-dev, openssl, libssl-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-sec
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-sec
Homepage: http://www.inf.puc-rio.br/~brunoos/luasec/

Package: lua-sec
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-socket
Replaces: liblua5.1-sec1 (<< 0.4-7~)
Breaks: liblua5.1-sec1 (<< 0.4-7~)
Provides: liblua5.1-sec1, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: SSL socket library for the Lua language
 This package contains the luasec library, that adds on top of 
 the luasocket library SSL support.

Package: lua-sec-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-sec (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-sec-dev (<< 0.4-7~)
Breaks: liblua5.1-sec-dev (<< 0.4-7~)
Provides: liblua5.1-sec-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: SSL socket library library devel files for the Lua language
 This package contains the development files of the Lua sec SSL socket library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).  Documentation is also shipped within this
 package.

Package: liblua5.1-sec1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-sec
Description: Transitional package for lua-sec
 This is a transitional package to ease upgrades to the lua-sec
 package. It can safely be removed.

Package: liblua5.1-sec-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-sec
Description: Transitional package for lua-sec
 This is a transitional package to ease upgrades to the lua-sec
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

safecd=mkdir -p $(1); cd $(1)
DESTLIB=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	$(call safecd,$(DESTLIB)/lua/5.1/ssl); ln -sf core.so context.so
	$(call safecd,$(DESTLIB)/lua/5.2/ssl); ln -sf core.so context.so

override_dh_auto_test:
	$(call safecd,5.1-sec/ssl/); ln -sf core.so context.so
	$(call safecd,5.2-sec/ssl/); ln -sf core.so context.so
	dh_auto_test

override_dh_compress:
	dh_compress -X.lua -X.cnf

## lua-sec 0.4.1%2Bgit063e8a8

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_compress:
	dh_compress -X.lua -X.cnf

override_dh_auto_test:
	# skip

## lua-sec 0.4.1+git063e8a8

=== debian/changelog ===
lua-sec (0.4.1+git063e8a8-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disable tests since they require newer dh-lua >= 18 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 28 Jan 2014 20:40:02 +0100

lua-sec (0.4.1+git063e8a8-2) unstable; urgency=low

  * Bundle all C modules into a single ssl.so module, as the upstream
    suggested 
  * Fix lua-sec.h listing all luaopen_ssl_xxx available
  * Remove last bits of transitional packages 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 Aug 2013 09:10:18 +0200

lua-sec (0.4.1+git063e8a8-1) unstable; urgency=low

  * New upstream snaphost for luasocket 3.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jun 2012 20:44:04 +0200

=== debian/control ===
Source: lua-sec
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, lua-socket-dev (>= 3.0~rc), openssl, libssl-dev
Standards-Version: 3.9.3
Homepage: http://www.inf.puc-rio.br/~brunoos/luasec/
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-sec.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-sec.git

Package: lua-sec
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-socket
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: SSL socket library for the Lua language
 This package contains the luasec library, that adds on top of 
 the luasocket library SSL support.

Package: lua-sec-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-sec (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: SSL socket library library devel files for the Lua language
 This package contains the development files of the Lua sec SSL socket library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).  Documentation is also shipped within this
 package.

## lua-sec 0.5

=== Makefile ===
# Inform the location to intall the modules
LUAPATH		?= /usr/share/lua/5.1
LUACPATH	?= /usr/lib/lua/5.1

# Compile with build-in LuaSocket's help files.
# Comment this lines if you will link with non-internal LuaSocket's help files
#  and edit INCDIR and LIBDIR properly.
EXTRA		 = luasocket
DEFS		 = -DWITH_LUASOCKET

# Edit the lines below to inform new path, if necessary.
# Path below points to internal LuaSocket's help files.
INC_PATH	?= -I/usr/include
LIB_PATH	?= -L/usr/lib
INCDIR		 = -I. $(INC_PATH)
LIBDIR		 = -L./luasocket $(LIB_PATH)

# For Mac OS X: set the system version
MACOSX_VERSION=10.4

#----------------------
# Do not edit this part

.PHONY: all clean install none linux bsd macosx

all: none

none:
	@echo "Usage: $(MAKE) <platform>"
	@echo "  * linux"
	@echo "  * bsd"
	@echo "  * macosx"

install:
	@cd src && $(MAKE) LUACPATH="$(LUACPATH)" LUAPATH="$(LUAPATH)" install

linux:
	@echo "---------------------"
	@echo "** Build for Linux **"
	@echo "---------------------"
	@cd src && $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)" EXTRA="$(EXTRA)" $@

bsd:
	@echo "-------------------"
	@echo "** Build for BSD **"
	@echo "-------------------"
	@cd src && $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)" EXTRA="$(EXTRA)" $@

macosx:
	@echo "------------------------------"
	@echo "** Build for Mac OS X $(MACOSX_VERSION) **"
	@echo "------------------------------"
	@cd src && $(MAKE) INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" MACVER="$(MACOSX_VERSION)" DEFS="$(DEFS)" EXTRA="$(EXTRA)" $@

clean:
	@cd src && $(MAKE) clean

=== debian/changelog ===
lua-sec (0.5-1) unstable; urgency=medium

  * New upstream release 
  * Bump Standards-Version to 3.9.5, no changes
  * Copyright updated and ported to format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 01 Feb 2014 14:21:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua, lua-socket-dev (>= 3.0~rc), openssl, libssl-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 18), lua-socket-dev (>= 3.0~rc), openssl, libssl-dev
+Standards-Version: 3.9.5
 Homepage: http://www.inf.puc-rio.br/~brunoos/luasec/
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-sec.git
 Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-sec.git

## lua-sec 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Inform the location to intall the modules
+# Inform the location to install the modules
 LUAPATH		?= /usr/share/lua/5.1
 LUACPATH	?= /usr/lib/lua/5.1
 
@@ -16,7 +16,7 @@
 LIBDIR		 = -L./luasocket $(LIB_PATH)
 
 # For Mac OS X: set the system version
-MACOSX_VERSION=10.4
+MACOSX_VERSION?=10.11
 
 #----------------------
 # Do not edit this part

=== src/Makefile ===
CMOD=ssl.so
LMOD=ssl.lua

OBJS= \
 x509.o \
 context.o \
 ssl.o

LIBS=-lssl -lcrypto -lluasocket

WARN=-Wall -pedantic

BSD_CFLAGS=-O2 -fPIC $(WARN) $(INCDIR) $(DEFS)
BSD_LDFLAGS=-O -fPIC -shared $(LIBDIR)

LNX_CFLAGS=-O2 -fPIC $(WARN) $(INCDIR) $(DEFS)
LNX_LDFLAGS=-O -fPIC -shared $(LIBDIR)

MAC_ENV=env MACOSX_DEPLOYMENT_TARGET='$(MACVER)'
MAC_CFLAGS=-O2 -fno-common $(WARN) $(INCDIR) $(DEFS)
MAC_LDFLAGS=-bundle -undefined dynamic_lookup $(LIBDIR)

INSTALL	?= install
CC	?= cc
LD	?= $(MYENV) cc
CFLAGS	+= $(MYCFLAGS)
LDFLAGS	+= $(MYLDFLAGS)
DESTDIR	?= /

.PHONY: all clean install none linux bsd macosx luasocket

all:

install: $(CMOD) $(LMOD)
	$(INSTALL) -d $(DESTDIR)$(LUAPATH)/ssl $(DESTDIR)$(LUACPATH)
	$(INSTALL) -D $(CMOD) $(DESTDIR)$(LUACPATH)
	$(INSTALL) -m644 -D $(LMOD) $(DESTDIR)$(LUAPATH)
	$(INSTALL) -m644 -D https.lua $(DESTDIR)$(LUAPATH)/ssl

linux:
	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)" EXTRA="$(EXTRA)"

bsd:
	@$(MAKE) $(CMOD) MYCFLAGS="$(BSD_CFLAGS)" MYLDFLAGS="$(BSD_LDFLAGS)" EXTRA="$(EXTRA)"

macosx:
	@$(MAKE) $(CMOD) MYCFLAGS="$(MAC_CFLAGS)" MYLDFLAGS="$(MAC_LDFLAGS)" MYENV="$(MAC_ENV)" EXTRA="$(EXTRA)"

luasocket:
	@cd luasocket && $(MAKE)

$(CMOD): $(EXTRA) $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	cd luasocket && $(MAKE) clean
	rm -f $(OBJS) $(CMOD)

x509.o: x509.c x509.h config.h
context.o: context.c context.h ec.h config.h
ssl.o: ssl.c ssl.h context.h x509.h config.h

=== src/luasocket/Makefile ===
OBJS= \
 io.o \
 buffer.o \
 timeout.o \
 usocket.o

CC	?= cc
CFLAGS	+= $(MYCFLAGS) -DLUASOCKET_DEBUG
AR	:= ar rcu
RANLIB	?= ranlib

.PHONY: all clean

all: libluasocket.a

libluasocket.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f $(OBJS) libluasocket.a

buffer.o: buffer.c buffer.h io.h timeout.h
io.o: io.c io.h timeout.h
timeout.o: timeout.c timeout.h
usocket.o: usocket.c socket.h io.h timeout.h usocket.h

=== debian/changelog ===
lua-sec (0.5.1-1) unstable; urgency=medium

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 Dec 2015 17:26:18 +0100

lua-sec (0.5-3) unstable; urgency=medium

  * Cherry pick upstream 67f0867 to fix FTBFS after SSLv3 support
    was removed from opanssl (Closes: #804607) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Nov 2015 19:28:23 +0100

lua-sec (0.5-2) unstable; urgency=medium

  * Do not Pre-Depend on multiarch-support 
  * Bump standards version, no change
  * Update Homepage URL (Close: #775315)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Aug 2015 11:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 18), lua-socket-dev (>= 3.0~rc), openssl, libssl-dev
-Standards-Version: 3.9.5
-Homepage: http://www.inf.puc-rio.br/~brunoos/luasec/
+Standards-Version: 3.9.6
+Homepage: https://github.com/brunoos/luasec
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-sec.git
 Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-sec.git
 
 Package: lua-sec
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-socket
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -22,7 +22,7 @@
 Package: lua-sec-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-sec (= ${binary:Version}), ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sec
#
version=3
http://www.inf.puc-rio.br/~brunoos/luasec/ download/luasec-([\d\.]*).tar.gz

## lua-sec 0.6

=== src/Makefile ===
--- 
+++ 
@@ -20,22 +20,21 @@
 MAC_CFLAGS=-O2 -fno-common $(WARN) $(INCDIR) $(DEFS)
 MAC_LDFLAGS=-bundle -undefined dynamic_lookup $(LIBDIR)
 
-INSTALL	?= install
-CC	?= cc
-LD	?= $(MYENV) cc
-CFLAGS	+= $(MYCFLAGS)
-LDFLAGS	+= $(MYLDFLAGS)
-DESTDIR	?= /
+INSTALL  = install
+CC       = cc
+LD       = $(MYENV) cc
+CFLAGS  += $(MYCFLAGS)
+LDFLAGS += $(MYLDFLAGS)
 
 .PHONY: all clean install none linux bsd macosx luasocket
 
 all:
 
 install: $(CMOD) $(LMOD)
-	$(INSTALL) -d $(DESTDIR)$(LUAPATH)/ssl $(DESTDIR)$(LUACPATH)
-	$(INSTALL) -D $(CMOD) $(DESTDIR)$(LUACPATH)
-	$(INSTALL) -m644 -D $(LMOD) $(DESTDIR)$(LUAPATH)
-	$(INSTALL) -m644 -D https.lua $(DESTDIR)$(LUAPATH)/ssl
+	$(INSTALL) -d $(LUAPATH)/ssl $(LUACPATH)
+	$(INSTALL) $(CMOD) $(LUACPATH)
+	$(INSTALL) -m644 $(LMOD) $(LUAPATH)
+	$(INSTALL) -m644 https.lua $(LUAPATH)/ssl
 
 linux:
 	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)" EXTRA="$(EXTRA)"

=== debian/changelog ===
lua-sec (0.6-4) unstable; urgency=medium

  * Team upload.
  * Drop luasandbox support as the package is going away (see #891191).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Feb 2018 11:23:20 +0100

lua-sec (0.6-3) unstable; urgency=medium

  * Add me to uploaders
  * Add luasandbox support
  * test.sh: Run client.lua synchronously
  * test.lua: Ensure errors are catched on lua5.1

 -- Mathieu Parent <sathieu@debian.org>  Fri, 06 Jan 2017 21:31:14 +0100

lua-sec (0.6-2) unstable; urgency=medium

  * Add Lua 5.3 support (Closes: #808136)
  * Add myself to Uploaders
  * Re-wrap with wrap-and-sort -a
  * Merge full OpenSSL 1.1.0 support and some crash fixes from upstream

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 16:34:48 +0100

lua-sec (0.6-1) unstable; urgency=medium

  * Imported Upstream version 0.6
  * Add OpenSSL 1.1.0 patch from upstream (Closes: #828427)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Oct 2016 17:16:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 18), lua-socket-dev (>= 3.0~rc), openssl, libssl-dev
+Uploaders: Ondřej Surý <ondrej@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper (>= 8.1.3),
+               dh-lua (>= 18),
+               libssl-dev,
+               lua-socket-dev (>= 3.0~rc),
+               openssl
 Standards-Version: 3.9.6
 Homepage: https://github.com/brunoos/luasec
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-sec.git
@@ -12,18 +17,22 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lua-socket
+Depends: lua-socket,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ${lua:Provides}
+Breaks: prosody (<< 0.9.11~)
 XB-Lua-Versions: ${lua:Versions}
 Description: SSL socket library for the Lua language
- This package contains the luasec library, that adds on top of 
+ This package contains the luasec library, that adds on top of
  the luasocket library SSL support.
 
 Package: lua-sec-dev
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lua-sec (= ${binary:Version}), ${misc:Depends}
+Depends: lua-sec (= ${binary:Version}),
+         ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Section: libdevel

## lua-sec 0.7

=== src/Makefile ===
--- 
+++ 
@@ -2,9 +2,11 @@
 LMOD=ssl.lua
 
 OBJS= \
- x509.o \
+ x509.o    \
  context.o \
- ssl.o
+ ssl.o     \
+ config.o  \
+ ec.o
 
 LIBS=-lssl -lcrypto -lluasocket
 
@@ -21,8 +23,8 @@
 MAC_LDFLAGS=-bundle -undefined dynamic_lookup $(LIBDIR)
 
 INSTALL  = install
-CC       = cc
-LD       = $(MYENV) cc
+CC      ?= cc
+LD      ?= $(MYENV) cc
 CFLAGS  += $(MYCFLAGS)
 LDFLAGS += $(MYLDFLAGS)
 
@@ -31,10 +33,10 @@
 all:
 
 install: $(CMOD) $(LMOD)
-	$(INSTALL) -d $(LUAPATH)/ssl $(LUACPATH)
-	$(INSTALL) $(CMOD) $(LUACPATH)
-	$(INSTALL) -m644 $(LMOD) $(LUAPATH)
-	$(INSTALL) -m644 https.lua $(LUAPATH)/ssl
+	$(INSTALL) -d $(DESTDIR)$(LUAPATH)/ssl $(DESTDIR)$(LUACPATH)
+	$(INSTALL) $(CMOD) $(DESTDIR)$(LUACPATH)
+	$(INSTALL) -m644 $(LMOD) $(DESTDIR)$(LUAPATH)
+	$(INSTALL) -m644 https.lua $(DESTDIR)$(LUAPATH)/ssl
 
 linux:
 	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)" EXTRA="$(EXTRA)"
@@ -55,6 +57,8 @@
 	cd luasocket && $(MAKE) clean
 	rm -f $(OBJS) $(CMOD)
 
-x509.o: x509.c x509.h config.h
-context.o: context.c context.h ec.h config.h
-ssl.o: ssl.c ssl.h context.h x509.h config.h
+ec.o: ec.c ec.h
+x509.o: x509.c x509.h compat.h
+context.o: context.c context.h ec.h compat.h
+ssl.o: ssl.c ssl.h context.h x509.h compat.h
+config.o: config.c ec.h options.h compat.h

=== debian/changelog ===
lua-sec (0.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (Closes: #916316)

 -- Victor Seva <vseva@debian.org>  Thu, 13 Dec 2018 11:13:48 +0100

lua-sec (0.7-1) unstable; urgency=medium

  * New upstream version 0.7 (Closes: #907656)
  * remove patches already applied
  * add myself to uploaders, wrap-and-sort -sat
  * debhelper compat 10
  * update debian patches
  * update standard-version. No changes

 -- Victor Seva <vseva@debian.org>  Mon, 22 Oct 2018 10:50:40 +0200

lua-sec (0.6-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * move to stronger cryptographic digests too

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Aug 2018 17:41:53 -0400

lua-sec (0.6-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * use 2048-bit keys in test suite (Closes: #906997)
  * point Vcs-* to salsa
  * gbp: use upstream git tags
  * debian/copyright: use https form of Format URI
  * debian/changelog: strip trailing whitespace
  * debian/watch: use github tags

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Aug 2018 15:13:38 -0400

## lua-sec 0.8

=== debian/changelog ===
lua-sec (0.8-2) unstable; urgency=medium

  * Team upload
  * Fix cleanup after a test run (closes: #935283)
  * Run test code using the correct Lua interpreter, and not the default one

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Aug 2019 12:30:50 +0300

lua-sec (0.8-1) unstable; urgency=medium

  * New upstream version 0.8
  * remove already applied patch

 -- Victor Seva <vseva@debian.org>  Tue, 21 May 2019 13:07:05 +0200

## lua-sec 0.8.2

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LMOD=ssl.lua
 
 OBJS= \
+ options.o \
  x509.o    \
  context.o \
  ssl.o     \
@@ -57,6 +58,7 @@
 	cd luasocket && $(MAKE) clean
 	rm -f $(OBJS) $(CMOD)
 
+options.o: options.c options.h
 ec.o: ec.c ec.h
 x509.o: x509.c x509.h compat.h
 context.o: context.c context.h ec.h compat.h

=== debian/changelog ===
lua-sec (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 (closes: #941747)
  * add new source options file

 -- Victor Seva <vseva@debian.org>  Tue, 29 Oct 2019 16:17:54 +0100

=== debian/control ===
Source: lua-sec
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Mathieu Parent <sathieu@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-lua (>= 18),
 libssl-dev,
 lua-socket-dev (>= 3.0~rc),
 openssl,
Standards-Version: 4.2.1
Homepage: https://github.com/brunoos/luasec
Vcs-Git: https://salsa.debian.org/lua-team/lua-sec.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-sec

Package: lua-sec
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-socket,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
Breaks:
 prosody (<< 0.9.11~),
XB-Lua-Versions: ${lua:Versions}
Description: SSL socket library for the Lua language
 This package contains the luasec library, that adds on top of
 the luasocket library SSL support.

Package: lua-sec-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-sec (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: SSL socket library devel files for the Lua language
 This package contains the development files of the Lua sec SSL socket library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).  Documentation is also shipped within this
 package.

=== debian/watch ===
version=4
https://github.com/brunoos/luasec/tags (?:.*?/)?luasec-(\d[\d.]*)\.tar\.gz

## lua-sec 0.9

=== debian/changelog ===
lua-sec (0.9-3) unstable; urgency=medium

  * fix tests, let the OS choose a free port

 -- Victor Seva <vseva@debian.org>  Fri, 03 Jan 2020 15:50:17 +0100

lua-sec (0.9-2) unstable; urgency=medium

  * update to debhelper 12

 -- Victor Seva <vseva@debian.org>  Mon, 30 Dec 2019 10:53:07 +0100

lua-sec (0.9-1) unstable; urgency=medium

  * update watch with new upstream format like v0.9
  * New upstream version 0.9
  * update standards-version to 4.4.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 19 Nov 2019 09:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Mathieu Parent <sathieu@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-lua (>= 18),
  libssl-dev,
  lua-socket-dev (>= 3.0~rc),
  openssl,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/brunoos/luasec
 Vcs-Git: https://salsa.debian.org/lua-team/lua-sec.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-sec

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_compress:
	dh_compress -X.lua -X.cnf

## lua-sec 1.0

=== debian/changelog ===
lua-sec (1.0-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:59:22 +0000

lua-sec (1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix misspelling of Close => Closes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Victor Seva ]
  * New upstream version 1.0

 -- Victor Seva <vseva@debian.org>  Fri, 05 Feb 2021 10:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lua-sec
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Mathieu Parent <sathieu@debian.org>,

## lua-sec 1.0.1

=== debian/changelog ===
lua-sec (1.0.1-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 10:11:46 +0100

lua-sec (1.0.1-1) unstable; urgency=medium

  [ Kim Alvefur ]
  * Enable Lua 5.4 support

  [ Victor Seva ]
  * New upstream version 1.0.1

 -- Victor Seva <vseva@debian.org>  Sun, 08 Aug 2021 11:10:52 +0200

## lua-sec 1.0.2

=== src/luasocket/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 CC	?= cc
 CFLAGS	+= $(MYCFLAGS) -DLUASOCKET_DEBUG
-AR	:= ar rcu
+AR	?= ar
 RANLIB	?= ranlib
 
 .PHONY: all clean
@@ -14,7 +14,7 @@
 all: libluasocket.a
 
 libluasocket.a: $(OBJS)
-	$(AR) $@ $(OBJS)
+	$(AR) rcu $@ $(OBJS)
 	$(RANLIB) $@
 
 clean:

=== debian/changelog ===
lua-sec (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * set maintainer to lua-team (closes: #995538)

 -- Victor Seva <vseva@debian.org>  Wed, 08 Dec 2021 20:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lua-sec
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Mathieu Parent <sathieu@debian.org>,
@@ -13,7 +12,7 @@
  libssl-dev,
  lua-socket-dev (>= 3.0~rc),
  openssl,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/brunoos/luasec
 Vcs-Git: https://salsa.debian.org/lua-team/lua-sec.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-sec

## lua-sec 1.1.0

=== debian/changelog ===
lua-sec (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Victor Seva <vseva@debian.org>  Mon, 02 May 2022 13:14:37 +0200

## lua-sec 1.2.0

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 INSTALL  = install
 CC      ?= cc
-LD      ?= $(MYENV) cc
+CCLD      ?= $(MYENV) $(CC)
 CFLAGS  += $(MYCFLAGS)
 LDFLAGS += $(MYLDFLAGS)
 
@@ -52,15 +52,15 @@
 	@cd luasocket && $(MAKE)
 
 $(CMOD): $(EXTRA) $(OBJS)
-	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+	$(CCLD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
 
 clean:
 	cd luasocket && $(MAKE) clean
 	rm -f $(OBJS) $(CMOD)
 
-options.o: options.c options.h
+options.o: options.h options.c
 ec.o: ec.c ec.h
 x509.o: x509.c x509.h compat.h
-context.o: context.c context.h ec.h compat.h
+context.o: context.c context.h ec.h compat.h options.h
 ssl.o: ssl.c ssl.h context.h x509.h compat.h
 config.o: config.c ec.h options.h compat.h

=== debian/changelog ===
lua-sec (1.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:36:01 +0000

lua-sec (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Victor Seva <vseva@debian.org>  Tue, 06 Sep 2022 14:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-lua (>= 18),
+ dh-lua,
  libssl-dev,
- lua-socket-dev (>= 3.0~rc),
+ lua-socket-dev,
  openssl,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/brunoos/luasec
@@ -28,8 +28,6 @@
  ${shlibs:Depends},
 Provides:
  ${lua:Provides},
-Breaks:
- prosody (<< 0.9.11~),
 XB-Lua-Versions: ${lua:Versions}
 Description: SSL socket library for the Lua language
  This package contains the luasec library, that adds on top of

=== debian/watch ===
version=4
https://github.com/brunoos/luasec/tags (?:.*?/)?v(\d[\d.]*)\.tar\.gz

## lua-sec 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 # Inform the location to install the modules
-LUAPATH		?= /usr/share/lua/5.1
-LUACPATH	?= /usr/lib/lua/5.1
+LUAPATH  ?= /usr/share/lua/5.1
+LUACPATH ?= /usr/lib/lua/5.1
 
 # Compile with build-in LuaSocket's help files.
 # Comment this lines if you will link with non-internal LuaSocket's help files
 #  and edit INCDIR and LIBDIR properly.
-EXTRA		 = luasocket
-DEFS		 = -DWITH_LUASOCKET
+EXTRA = luasocket
+DEFS  = -DWITH_LUASOCKET
 
 # Edit the lines below to inform new path, if necessary.
 # Path below points to internal LuaSocket's help files.
-INC_PATH	?= -I/usr/include
-LIB_PATH	?= -L/usr/lib
-INCDIR		 = -I. $(INC_PATH)
-LIBDIR		 = -L./luasocket $(LIB_PATH)
+INC_PATH ?= -I/usr/include
+LIB_PATH ?= -L/usr/lib
+INCDIR    = -I. $(INC_PATH)
+LIBDIR    = -L./luasocket $(LIB_PATH)
 
 # For Mac OS X: set the system version
-MACOSX_VERSION?=10.11
+MACOSX_VERSION=10.11
 
 #----------------------
 # Do not edit this part

=== debian/changelog ===
lua-sec (1.3.2-3) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 19:27:25 +0200

lua-sec (1.3.2-2) unstable; urgency=medium

  * add libz-dev and libzstd-dev to Build-Depends (Closes: #1069369)
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Sat, 04 May 2024 11:15:28 +0200

lua-sec (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * fix test.sh
  * update Standards-Version 4.6.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Wed, 07 Feb 2024 12:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
  debhelper-compat (= 12),
  dh-lua,
  libssl-dev,
+ libz-dev,
+ libzstd-dev,
  lua-socket-dev,
  openssl,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/brunoos/luasec
 Vcs-Git: https://salsa.debian.org/lua-team/lua-sec.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-sec
